Bug 52838 - IMAP source does not compile
Summary: IMAP source does not compile
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: imap
Version: 7.1
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-29 19:45 UTC by Jason M. Rinn
Modified: 2007-04-18 16:36 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2001-08-29 19:45:34 UTC


Attachments (Terms of Use)

Description Jason M. Rinn 2001-08-29 19:45:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; Win 9x 4.90)

Description of problem:
I installed the source RPM for IMAP, expanded it into 
the /usr/src/redhat/BUILD directory, applied all the patches, and 
ran "make slx". It fails with the messages I pasted under "Actual Results".

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install source RPM to BUILD directory.
2. Apply patches with echo ../../SOURCES/imap*.patch | patch -p1
3. make slx (or any other linux like target.)
	

Actual Results:  The following errors were seen:
`cat CCTYPE` -c `cat CFLAGS` `cat OSCFLAGS` -c osdep.c
In file included from osdep.c:42:
env_unix.c: In function `do_date':
env_unix.c:296: warning: initialization makes pointer from integer without 
a cast
env_unix.c:297: dereferencing pointer to incomplete type
env_unix.c:297: dereferencing pointer to incomplete type
env_unix.c:298: dereferencing pointer to incomplete type
env_unix.c:299: warning: assignment makes pointer from integer without a 
cast
env_unix.c:301: dereferencing pointer to incomplete type
env_unix.c:301: dereferencing pointer to incomplete type
env_unix.c:309: dereferencing pointer to incomplete type
env_unix.c:312: dereferencing pointer to incomplete type
env_unix.c:316: dereferencing pointer to incomplete type
env_unix.c:316: dereferencing pointer to incomplete type
env_unix.c:316: dereferencing pointer to incomplete type
env_unix.c:317: dereferencing pointer to incomplete type
env_unix.c:317: dereferencing pointer to incomplete type
env_unix.c:317: dereferencing pointer to incomplete type


Expected Results:  The "make slx" should have completed.

Additional info:

I'm trying to build the UW IMAP tools, which requires a successful make of 
c-client. I got the same error from downloading source from them directly. 
If there is another way to obtain those tools, I would not need the source 
to build.

Comment 1 Mike A. Harris 2001-08-29 21:46:33 UTC
rpm -ba imap.spec  works fine.  If you modify the build procedure, it is
up to you to troubleshoot and solve.  This is not a bug.

To unpack sources and apply patches do:  rpm -bp imap.spec
Change the spec file itself to do what you want if you like.

I don't understand why you want to rebuild the c-client library though
when we include it in the distribution already...

Comment 2 Jason M. Rinn 2001-08-30 03:21:09 UTC
Once I got the right Source RPM, and used the right procedure, it worked fine. 
Sorry for wasting your time.

The reason I needed to rebuild is that the UW utilities, including mbxcvt to 
convert to a better mailbox format, would not build easily with the imap-devel 
RPM. 

Again, thanks for responding, and keep up the good work.



Note You need to log in before you can comment on or make changes to this bug.